PDA

Visualizza la versione completa : DEBIAN WHEEZY xorg senza xorg.conf


Marcolino's
14-06-2014, 11:41
Ciao!
Sto tentando anche io di modificare la risoluzione dello schermo portandola dall'attuale 1024 * 768 alla massima 1280 x 1024 ma non ci riesco.
Il configuratore automatico non riconosce il monitor (LG FLATRON L1710S) che abbastanza comune e usato da molti PC, e mi mostra l'unica configurazione possibile (per lui).
Ho cercato il file xorg.conf in /etc/X11 ma non c'!
Allora ne ho creato io uno mettendoci solo i dati relativi al monitor, creando anche una modeline con i dati di targa del monitor ma il sistema, una volta riavviato si rifiutava di andare in modalit X.
Ho rinominato il file xorg.conf e ora va come prima.

xorg = 1.12
scheda = ATI/AMD X1200
PC = ACER ASPIRE M1100
OS = Debian WHEEZY (upgradata)
Desktop = MATE 1.6.0

LOG di xdm:

The XKEYBOARD keymap compiler (xkbcomp) reports:
> Warning: Type "ONE_LEVEL" has 1 levels, but <RALT> has 2 symbols
> Ignoring extra symbols
Errors from xkbcomp are not fatal to the X server
Sat Jun 14 11:19:33 2014 xdm info (pid 4050): sourcing /etc/X11/xdm/Xsetup
Sat Jun 14 11:19:34 2014 xdm info (pid 3636): Shutting down
Sat Jun 14 11:19:34 2014 xdm info (pid 3636): display :0 is being disabled
Server terminated successfully (0). Closing log file.
Sat Jun 14 11:19:34 2014 xdm info (pid 3636): Exiting
quelli di X fanno riferimento solo alla tavoletta grafica e non al monitor :bh:

Qualcuno mi aiuta?

Marcolino's
14-06-2014, 12:39
Dimenticavo!
questo il file xorg.conf da me creato:


# LG Flatron L1710s
Section "Monitor"
#DisplaySize 312 234 # mm
Identifier "Flatron"
VendorName "LG"
ModelName "FLATRON L1710S"
HorizSync 32 80
VertRefresh 60 75
Modeline "1248x936@75" 135.00 1248 1280 1792 1824 936 953 965 983
EndSection

Section "Screen"
Identifier "Screen 1"
Device "VESA Framebuffer"
Monitor "My Monitor"
DefaultDepth 24
SubSection "Display"
Depth 8
Modes "1280x1024@60"
EndSubSection
SubSection "Display"
Depth 16
Modes "1280x1024@60"
EndSubSection
SubSection "Display"
Depth 24
Modes "1280x1024@60"
EndSubSection
SubSection "Display"
Depth 32
Modes "1280x1024@60"
EndSubSection
EndSection

Questa la pagina del manuale del monitor relativa ai dati di targa: http://www.manualslib.com/manual/698295/Lg-Flatron-L1710s.html?page=7#manual
Questo un sito che crea modeline a partire dai dati di cui sopra: http://xtiming.sourceforge.net/cgi-bin/xtiming.pl

sacarde
15-06-2014, 10:48
- quali driver usi? proprietari o radeon/xorg?

- quali risoluzioni vedi da : xrandr

- come hai costruito xorg.conf ?

Marcolino's
16-06-2014, 07:57
radeon/xorg
non lo so ora
in automatico in fase di installazione del s.o. (a dimenticavo a 64bit)

sacarde
16-06-2014, 09:40
xorg.conf di default non c'e'

per costruirlo a mano: Xorg -configure
lo genera xorg.conf.new nella home

(puoi provare a aggiungere una risoluzione nelle righe "Modes")

p.s.
per i driver proprietari
https://wiki.debian.org/it/ATIProprietary

Marcolino's
16-06-2014, 14:31
xorg.conf di default non c'e'
come non c'? quando installi un desktop in fase di installazione del sistema operativo lo crea eccome, magari ti pu chiedere dei parametri a me non l'ha chiesto e quindi ha inserito dei parametri di default, o come vuoi chiamarli dato che non c' nemmeno un file di configurazione?


per costruirlo a mano: Xorg -configure
lo genera xorg.conf.new nella home

(puoi provare a aggiungere una risoluzione nelle righe "Modes")

p.s.
per i driver proprietari
https://wiki.debian.org/it/ATIProprietary
Ci provo oggi e ti faccio sapere.

Marcolino's
16-06-2014, 19:35
Allora: primo step a vuoto!
Seguito questo passo: https://wiki.debian.org/it/ATIProprietary#Debian_7_.22Wheezy.22 dopo l'installazione come da manuale, ho dato il comando aticonfig --initial e la risposta stata... picche!


Building initial module for 3.2.0-4-amd64
Done.

fglrx:
Running module version sanity check.
- Original module
- No original module exists within this kernel
- Installation
- Installing to /lib/modules/3.2.0-4-amd64/updates/dkms/

depmod......

DKMS: install completed.

root@debian:/home/marco# aticonfig --initial
aticonfig: No supported adapters detected


Ora provo a vedere con il modulo per vecchie schede.

Marcolino's
16-06-2014, 19:40
:confused:


root@debian:/home/marco# aptitude -r -t wheezy-backports install fglrx-legacy-driver
I seguenti pacchetti NUOVI (NEW) saranno installati:
fglrx-legacy-atieventsd{ab} fglrx-legacy-driver{b}
fglrx-legacy-modules-dkms{ab} libfglrx-legacy{ab}
libfglrx-legacy-amdxvba1{ab} libgl1-fglrx-legacy-glx{ab}
I seguenti pacchetti saranno RIMOSSI:
fglrx-glx-ia32{u}
I seguenti pacchetti saranno aggiornati:
fglrx-atieventsd{b} fglrx-driver{b} fglrx-modules-dkms{b}
glx-alternative-fglrx glx-diversions libfglrx{b} libfglrx-amdxvba1{b}
libgl1-fglrx-glx{b}
8 pacchetti aggiornati, 6 installati, 1 da rimuovere e 139 non aggiornati.
necessario prelevare 50,0 MB di archivi. Dopo l'estrazione, verranno occupati 100 MB.
I seguenti pacchetti hanno dipendenze non soddisfatte:
libfglrx-legacy-amdxvba1 : Va in conflitto: libxvbaw1 che un pacchetto virtuale.
fglrx-modules-dkms : Va in conflitto: fglrx-kernel-dkms che un pacchetto virtuale.
libfglrx-amdxvba1 : Va in conflitto: libxvbaw1 che un pacchetto virtuale.
fglrx-atieventsd : Va in conflitto: fglrx-atieventsd-virtual che un pacchetto virtuale.
fglrx-legacy-modules-dkms : Va in conflitto: fglrx-kernel-dkms che un pacchetto virtuale.
fglrx-legacy-driver : Va in conflitto: xserver-xorg-video-fglrx che un pacchetto virtuale.
libgl1-fglrx-glx : Va in conflitto: libgl1-fglrx-glx-virtual che un pacchetto virtuale.
fglrx-legacy-atieventsd : Va in conflitto: fglrx-atieventsd-virtual che un pacchetto virtuale.
glx-alternative-mesa : Dipende: glx-diversions (= 0.2.2) ma 0.4.1~bpo70+1 sta per essere installato.
libfglrx : Va in conflitto: libfglrx-virtual che un pacchetto virtuale.
libgl1-fglrx-legacy-glx : Va in conflitto: libgl1-fglrx-glx-virtual che un pacchetto virtuale.
libfglrx-legacy : Va in conflitto: libfglrx-virtual che un pacchetto virtuale.
fglrx-driver : Va in conflitto: xserver-xorg-video-fglrx che un pacchetto virtuale.
Le seguenti azioni permetteranno di soddisfare queste dipendenze:

Rimuovere i seguenti pacchetti:
1) fglrx-atieventsd
2) fglrx-driver
3) glx-alternative-fglrx
4) glx-alternative-mesa
5) libfglrx-amdxvba1
6) libgl1-fglrx-glx

Mantenere i seguenti pacchetti alla versione attuale:
7) fglrx-legacy-atieventsd [Non installato]
8) fglrx-legacy-driver [Non installato]
9) fglrx-legacy-modules-dkms [Non installato]
10) libfglrx-legacy [Non installato]
11) libfglrx-legacy-amdxvba1 [Non installato]
12) libgl1-fglrx-legacy-glx [Non installato]

Leave the following dependencies unresolved:
13) glx-diversions raccomanda glx-alternative-mesa
14) fglrx-driver raccomanda fglrx-atieventsd
15) libfglrx raccomanda libfglrx-amdxvba1 (= 1:13.12-4~bpo70+1)
16) fglrx-legacy-driver raccomanda fglrx-legacy-atieventsd

e mo che faccio? :bh:
Pi che altro mi spaventano i passi dal 13 al 16, Lasciare le seguenti diendenze non risolte

sacarde
16-06-2014, 20:15
mmm.... per i proprietari la cosa si complica...


non ho capito se con i driver di xorg riuscivi a vedere da xrandr la risoluzione che vuoi
oppure provare, da li, ad aggiungerla

Marcolino's
20-06-2014, 14:10
No scusa allora: l'unica risoluzione che accettava era ed ancora quella di default, cio al massimo 1024 x 768 a 24 bit di profondita di colore.
Da quello che credo di aver capito che comunque devo scrivere un file di configurazione esatto come lo vuole lui, per quanto sia doversa, ho trovato qualche cosa sul forum e sul wiki di Arch Linux, purtroppo le informazioni su internet sono molto frammentate.
Appena ho un po' di tempo riprovo e ti faccio sapere.

Loading